from os import listdir

import importlib

def test():
  funk_filenames = [_ for _ in listdir('./src/funks') if _.endswith('.py')]
  funk_filenames.sort()

  for funk_filename in funk_filenames:
    module = importlib.import_module(f'src.funks.{funk_filename[:-3]}')

    if not module.funk.test():
      return False # Stop tests at first failure.
  return True # Reaching this point means all tests passed.
